<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/panels/_panel_footer_id.xhtml">
        <ui:param name="panel_id" value="answerEditorDiv"/>

        <g:safehtml value="#{content}" rendered="#{not managedBean.editMode}"/>

        <h:panelGroup rendered="#{managedBean.editMode}">
            <ui:decorate template="/layout/editor/_text_editor.xhtml">
                <ui:param name="id" value="answerEditor"/>
                <ui:param name="text" value="#{content}"/>
                <ui:param name="editor_height" value="220"/>
            </ui:decorate>
        </h:panelGroup>

        <ui:define name="panel_footer">
            <a4j:commandButton value="#{messages['net.ihe.gazelle.questionnaire.Save']}" action="#{managedBean.save()}" rendered="#{managedBean.editMode}"
                               render="answerEditorDiv" styleClass="gzl-btn-blue"/>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.questionnaire.HideEditor']}" actionListener="#{managedBean.setEditMode(false)}"
                               rendered="#{managedBean.editMode}" render="answerEditorDiv" styleClass="gzl-btn"/>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.questionnaire.EditAnswer']}" actionListener="#{managedBean.setEditMode(true)}"
                               rendered="#{not managedBean.editMode}" render="answerEditorDiv" styleClass="gzl-btn"/>
        </ui:define>
    </ui:decorate>

</ui:composition>
